FreeMat

- Main Page
- Related Pages

vtkSocket

Section: Visualization Toolkit Common Classes

# Usage

This abstract class encapsulates a BSD socket. It provides an API for basic socket operations.

To create an instance of class vtkSocket, simply invoke its constructor as follows

      obj = vtkSocket

# Methods

The class vtkSocket has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSocket class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSocket = obj.NewInstance ()`
- `vtkSocket = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetConnected ()` - Close the socket.
- `obj.CloseSocket ()` - These methods send data over the socket. Returns 1 on success, 0 on error and raises vtkCommand::ErrorEvent.